<?php
/*
header("Content-type: application/vnd.ms-excel; name='excel'");
header("Content-Disposition: filename=Productos.xls");
header("Pragma: no-cache");
header("Expires: 0");
*/
include "../conexion.php";

 echo "<table width='100%' border='1' bordercolor='#000000' cellpadding='0' cellspacing='0'>";
	echo "<tr >";
	echo "<td ><center><font color='#000000'>Codigo</font></center></td>";
	echo "<td><center><font color='#000000'>Saldo</font></center></td>";
	echo "<td><center><font color='#000000'>Nombre</font></center></td>";
	echo "<td><center><font color='#000000'>Precio Unitario</font></center></td>";
	echo "<td><center><font color='#000000'>Precio Venta</font></center></td>";
	echo "<td><center><font color='#000000'>Producto Familia</font></center></td>";
	echo "<td><center><font color='#000000'>Marca</font></center></td>";
	echo "<td><center><font color='#000000'>Codigo Barra</font></center></td>";
	echo "<td><center><font color='#000000'>Estado</font></center></td>";
	echo "<td><center><font color='#000000'>Ubicacion</font></center></td>";
	echo "<td><center><font color='#000000'>Minimo</font></center></td>";
	echo "<td><center><font color='#000000'>Maximo</font></center></td>";	
	echo "</tr>";	
	$sql_datosre=mssql_query("SELECT id,nombre,descripcion,preciounitario,precioventa,productofamilia,marca,iva,codigobarra,estado,ubicacion
							  from producto order by  nombre asc",$conexion);
	$c=1; 
	while($datos= mssql_fetch_row($sql_datosre))//01
		{   
		   $id=$datos[0];
		   $nombre=$datos[1];
		   $descripcion=$datos[2];
		   $preciounitario=$datos[3];
		   $precioventa=$datos[4];
		   $productofamilia=$datos[5];
		   $marca=$datos[6];
		   $iva=$datos[7];
		   $codigobarra=$datos[8];
		   $estado=$datos[9];
		   $ubicacion=$datos[10];
		   if($estado=='A'){$nestado="Activo";}
		   if($estado=='I'){$nestado="Inactivo";}
		   
		   $rs_producto_familia=mssql_query("SELECT id,nombre FROM Producto_familia where id='".$productofamilia."'",$conexion);
		   $nfamilia=mssql_result($rs_producto_familia, 0, "nombre");		  
		   $rs_marca=mssql_query("SELECT id,nombre FROM marca where id='".$marca."'",$conexion);
		   $nmarca=mssql_result($rs_marca, 0, "nombre");
		   $rs_ubicacion=mssql_query("SELECT id,nombre FROM ubicacion where id='".$ubicacion."'",$conexion);
		   $nubicacion=mssql_result($rs_ubicacion, 0, "nombre");
		   
		    $sql_inv=mssql_query("SELECT sum(cantidad) as cantidad from inventario where producto='".$id."'", $conexion);
			 $cantidadinv=mssql_result($sql_inv, 0, "cantidad");
			 
			 $sql_datosventas=mssql_query("SELECT sum(cantidad) as cantidad,sum(total) as total from venta
										   where producto='".$id."' and estado='F'", $conexion);
			 $cantidadv=mssql_result($sql_datosventas, 0, "cantidad");
			 $total=mssql_result($sql_datosventas, 0, "total");
			 $saldo=$cantidadinv-$cantidadv;
			 if($saldo>0){$colorinv="#009933";} else {$colorinv="";}


			 $sql_inv=mssql_query("SELECT count(*) as contar from Producto_MinMax where producto='".$id."'", $conexion);
			 $contar=mssql_result($sql_inv, 0, "contar");
			 if($contar>=1)
			 {
				 $sql_inv=mssql_query("SELECT minimo,maximo from Producto_MinMax where producto='".$id."'", $conexion);
				 $minimo=mssql_result($sql_inv, 0, "minimo");
				 $maximo=mssql_result($sql_inv, 0, "maximo");
			 }
			 else {$minimo="";$maximo="";}
		    if($c%2==0){$color="#EAEAEA";}
			else {$color="#BFBFBF";}
			echo " <tr  >";
					  echo "<td bgcolor=$color>$id</td>";
					 echo "<td bgcolor=$color>".$saldo."</td>";
					 echo "<td bgcolor=$color>".$nombre."</td>";
					 echo "<td bgcolor=$color>".$preciounitario."</td>";
					 echo "<td bgcolor=$color>".$precioventa."</td>";
					 echo "<td bgcolor=$color>".$nfamilia."</td>";
					 echo "<td bgcolor=$color>".$nmarca."</td>";
					 echo "<td bgcolor=$color>".$codigobarra."</td>";
					 echo "<td bgcolor=$color>".$nestado."</td>";
					 echo "<td bgcolor=$color>".$nubicacion."</td>";
					 echo "<td bgcolor=$color>".$minimo."</td>";
					 echo "<td bgcolor=$color>".$maximo."</td>";
					 echo "</tr>";
				$c=$c+1;
		 }
	 echo "</table>"; 

?>